import download_feeds
import prepare_csvs
from utils import read_classes, read_multipliers, read_sku_list, read_config
import time
from datetime import datetime
import create_csv_nonvida
import merge_csv

def get_nonvida_dfs(country):
    config = read_config(f'files_list_nonvida_{country}.csv')
    ret_list = []
    for file in config:
        ret_list.append('download/feed_'+file['entry_name']+'.csv')
    return ret_list

def main(country):
    download_feeds.execute(country)
    prepare_csvs.execute(country)
    merge_csv.concat_feeds(list_of_dfs=get_nonvida_dfs(country), result=f'download/feeds_combined_nonvida_{country}.csv')
    create_csv_nonvida.execute(country)
    
      
if __name__ == "__main__":
    countries = ['fr', 'be', 'es', 'it', 'nl', 'de']
    start_time = time.time()
    for country in countries:
        main(country)
    end_time = time.time()
    with open("/usr/home/dkkapusta1997/domains/dkkapusta1997.usermd.net/public_html/warehouses.csv", 'a') as f:
        f.write(datetime.now().strftime("%d-%m-%y_%H:%M")+";vente;"+str(round(end_time-start_time, 2))+"\n")